PluginParser (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.pluginxml.PluginParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class PluginParser

    java.lang.Object
      org.hyperic.hq.product.pluginxml.PluginParser

    public class PluginParser

extends java.lang.Object

Constructor Summary
`PluginParser()`

Method Summary
`void` | `collectHelp(boolean collect)`
`void` | `collectMetrics(boolean collect)`
`static void` | `dumpFormat(java.io.PrintStream out)`
`static void` | `dumpFormatWiki(java.io.PrintStream out)`
`static void` | `main(java.lang.String[] args)`
`void` | `parse(java.io.InputStream in, PluginData data)`
`void` | `parse(java.io.InputStream in, PluginData data, org.xml.sax.EntityResolver resolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginParser

    public PluginParser()

Method Detail

### collectMetrics

    public void collectMetrics(boolean collect)

### collectHelp

    public void collectHelp(boolean collect)

### parse

    public void parse(java.io.InputStream in,
                      PluginData data)
               throws PluginException

  Throws:
    `PluginException`

### parse

    public void parse(java.io.InputStream in,
                      PluginData data,
                      org.xml.sax.EntityResolver resolver)
               throws PluginException

  Throws:
    `PluginException`

### dumpFormat

    public static void dumpFormat(java.io.PrintStream out)

### dumpFormatWiki

    public static void dumpFormatWiki(java.io.PrintStream out)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.